# $Revision: 1.54 $, $Date: 2007/12/27 23:53:38 $
Summary:	SMS Server Tools
Summary(pl.UTF-8):	Narzędzia serwera SMS
Name:		smstools
Version:	2.2.20
Release:	1
License:	GPL v2
Group:		Applications/Communications
Source0:	http://www.meinemullemaus.de/smstools/packages/%{name}-%{version}.tar.gz
# Source0-md5:	8c77f2b461595b7a317fc4d0d2691956
Source1:	%{name}.sysconfig
Source2:	%{name}.init
Patch0:		%{name}-daemonize.patch
Patch1:		%{name}-Makefile.patch
URL:		http://www.meinemullemaus.de/software/smstools/index.html
BuildRequires:	mm-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SMS Server Tools were made to send and receive SMS from one or
many GSM modems. They include a send/receive daemon and some sample
scripts to build an SMS email gateway and for logging into an SQL
database.

%description -l pl.UTF-8
SMS Server Tools jest pakietem stworzonym do wysyłania i odbierania
SMSów z jednego lub kilku modemów GSM. Zawiera demona do wysyłania i
odbierania przesyłek oraz zestaw skryptów dzięki którym można stworzyć
np. bramkę email->SMS.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_sbindir},%{_libdir}/%{name}} \
	$RPM_BUILD_ROOT/var/spool/sms/{incoming,outgoing,failed,sent,OTHER}

install examples/smsd.conf.full $RPM_BUILD_ROOT%{_sysconfdir}/smsd.conf
install src/smsd $RPM_BUILD_ROOT%{_sbindir}
install scripts/{email2sms,mysmsd,sendsms,smsevent} $RPM_BUILD_ROOT%{_libdir}/%{name}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/smsd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/smsd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add smsd
%service smsd restart "sms daemon"

%preun
if [ "$1" = "0" ]; then
	%service smsd stop
	/sbin/chkconfig --del smsd
fi

%files
%defattr(644,root,root,755)
%doc doc/* examples/smsd.conf.{easy,full}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/smsd.*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/smsd
%attr(754,root,root) /etc/rc.d/init.d/smsd
%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*
%dir %attr(710,root,uucp) /var/spool/sms/
%dir %attr(750,root,root) /var/spool/sms/OTHER
%dir %attr(750,root,root) /var/spool/sms/failed
%dir %attr(750,root,root) /var/spool/sms/incoming
%dir %attr(1730,root,uucp) /var/spool/sms/outgoing
%dir %attr(750,root,root) /var/spool/sms/sent

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smstools.spec,v $
Revision 1.54  2007/12/27 23:53:38  zbyniu
- up to 2.2.20

Revision 1.53  2007-10-28 13:34:10  glen
- those are all directories

Revision 1.52  2007/10/28 13:33:09  glen
- fix file listed twice

Revision 1.51  2007/06/30 09:25:29  paszczus
- updated to 2.2.18

Revision 1.50  2007/02/24 22:50:50  areq
- more secure permissions to spool dir

Revision 1.49  2007/02/22 23:20:06  areq
- 2.2.14
- %attr(770,root,uucp) /var/spool/sms/outgoing (allow non root user to send sms)

Revision 1.48  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.47  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.46  2006/12/03 16:25:12  areq
- 2.2.13

Revision 1.45  2006/11/25 15:04:42  areq
- 2.2.12

Revision 1.44  2006/07/20 16:52:51  shadzik
- 2.2.4 stable

Revision 1.43  2006/07/17 20:51:49  areq
- 2.2.4b

Revision 1.42  2006/05/21 22:25:02  glen
- rel 2

Revision 1.41  2006/03/13 23:14:32  glen
- use %service

Revision 1.40  2005/08/17 21:05:17  zawadaa
- URL fix

Revision 1.39  2005/08/17 06:42:03  paszczus
- updated to 1.15.4
- updated smstools-Makefile.patch

Revision 1.38  2005/04/09 19:59:55  paszczus
- adaptarized

Revision 1.37  2005/04/09 19:35:22  paszczus
- updated to 1.14.10 ; STBR

Revision 1.36  2004/12/09 20:19:47  paszczus
- updated to 1.14.8

Revision 1.35  2004/10/21 19:55:36  paszczus
- updated to 1.14.7
- updated URL

Revision 1.34  2004/09/05 08:23:05  paszczus
- updated to 1.14.6
- removed smsd.white from %doc (file not exist in this version)

Revision 1.33  2004/09/03 17:54:10  darekr
- updated to 1.14.5

Revision 1.32  2004/04/27 08:05:33  orzech
- up to 1.14.3

Revision 1.31  2004/04/09 20:30:32  adamg
- updated to 1.14.2
- updated Makefile patch

Revision 1.30  2004/03/05 22:44:30  adamg
- updated to 1.14.1

Revision 1.29  2004/02/25 07:59:57  orzech
- up to 1.14

Revision 1.28  2004/02/23 22:41:51  orzech
- up to 1.13.1
- fixed License
- install/files update

Revision 1.27  2004/01/11 17:12:10  qboosh
- updated to 1.13 (from <ozix at ozix.one.pl>)

Revision 1.26  2003/11/10 20:23:18  domelu
- update to 1.12.5

Revision 1.25  2003/10/07 10:13:30  orzech
- up to 1.12.4

Revision 1.24  2003/09/06 20:28:08  orzech
- up to 1.12.3

Revision 1.23  2003/08/08 17:38:28  orzech
- up to 1.12.2

Revision 1.22  2003/06/27 07:04:17  orzech
- up to 1.12

Revision 1.21  2003/05/28 13:01:55  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 06:26:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/05/20 07:53:17  orzech
- up to 1.11

Revision 1.18  2003/04/06 19:38:49  orzech
- up to 1.10.2

Revision 1.17  2003/04/03 17:36:53  orzech
- up to 1.10.1
- segv.patch obsoleted

Revision 1.16  2003/03/27 09:05:44  orzech
- up to 1.10.0

Revision 1.15  2003/02/03 13:01:46  qboosh
- segv patch - fix for SEGV in getsms with alphanumeric sender
- release 2, STBR
- NOTE: this code requires security audit

Revision 1.14  2003/01/30 16:35:22  orzech
- up to 1.9.0

Revision 1.13  2003/01/28 22:13:00  orzech
- up to 1.8.2

Revision 1.12  2003/01/18 21:49:43  kloczek
- cosmetics.

Revision 1.11  2003/01/18 11:58:51  orzech
- adapterized

Revision 1.10  2003/01/18 11:50:08  orzech
- up to 1.8.0
- added Makefile.patch - fixed build

Revision 1.9  2002/12/01 16:58:50  orzech
- up to 1.7.8

Revision 1.8  2002/11/21 13:56:24  orzech
- up to 1.7.7 (major bugfix release)

Revision 1.7  2002/11/17 00:33:27  kloczek
- remove empty %postun

Revision 1.6  2002/11/15 15:53:05  orzech
- next update

Revision 1.5  2002/11/15 13:29:44  orzech
- up to 1.7.5

Revision 1.4  2002/09/03 07:55:23  orzech
- fixed daemon behaviour
- adapterized

Revision 1.3  2002/09/02 18:42:09  orzech
- works: rel. 1; STBR

Revision 1.2  2002/09/02 17:23:11  orzech
- typos
- pl description

Revision 1.1  2002/09/02 17:10:52  orzech
- new
- NFY - testing
